? shells/zsh/PLIST.DragonFly
Index: audio/cdparanoia/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/audio/cdparanoia/distinfo,v
retrieving revision 1.10
diff -u -r1.10 distinfo
--- audio/cdparanoia/distinfo	23 Feb 2005 20:39:43 -0000	1.10
+++ audio/cdparanoia/distinfo	8 Jul 2005 21:50:14 -0000
@@ -1,4 +1,4 @@
-$NetBSD: distinfo,v 1.10 2005/02/23 20:39:43 agc Exp $
+$NetBSD: pkgsrc/audio/cdparanoia/distinfo,v 1.10 2005/02/23 20:39:43 agc Exp $
 
 SHA1 (cdparanoia-III-alpha9.8.src.tgz) = 04cc33a7d22d6255f6239e3e74195506b3bdde06
 RMD160 (cdparanoia-III-alpha9.8.src.tgz) = d9225165f83b5386c58db263d6918a7006df1481
@@ -18,3 +18,11 @@
 SHA1 (patch-cg) = d57b8019fd14baf0701a9a9f824a4f4bd64ab3ad
 SHA1 (patch-ch) = 73c38418cd7ab5fa5a072abfc78479fdd1d87787
 SHA1 (patch-ci) = cff3eaff31ea324d7bde5d0d840df57453085bec
+SHA1 (patch-da) = 41636b882727e101980915a59382f2dc07ce2250
+SHA1 (patch-db) = ae806ddbc2fc8cfc6c2a911ea187715991ae2ea3
+SHA1 (patch-dc) = f1538a89f93fad029f2285370f74fa6899568452
+SHA1 (patch-dd) = 227a9092cf4896ce3f4fe0aa19460f4769bec033
+SHA1 (patch-de) = 7ef3e0a2286ee8a35794667b4123235382afe7a0
+SHA1 (patch-df) = 9312bf37493cfd3a1d67c94f495089f832514df3
+SHA1 (patch-dg) = 1dd22bf1b3525a43fa029e11e807088a877f236e
+SHA1 (patch-dh) = 979db75fc97e3403eca01f524bfad14e22f6f6dc
Index: audio/cdparanoia/patches/patch-da
===================================================================
RCS file: audio/cdparanoia/patches/patch-da
diff -N audio/cdparanoia/patches/patch-da
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/cdparanoia/patches/patch-da	8 Jul 2005 21:50:15 -0000
@@ -0,0 +1,31 @@
+$NetBSD$
+
+--- interface/cdda_interface.h.orig	2005-05-31 16:03:04.000000000 +0200
++++ interface/cdda_interface.h
+@@ -21,7 +21,7 @@
+ #include <sys/types.h>
+ #include <signal.h>
+ 
+-#ifdef __FreeBSD__
++#if defined(__FreeBSD__) || defined(__DragonFly__)
+ #include <stdio.h>
+ #include <camlib.h>
+ #endif
+@@ -51,7 +51,7 @@ typedef struct cdrom_drive{
+ 
+   int opened; /* This struct may just represent a candidate for opening */
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+   char *cdda_device_name;
+   char *ioctl_device_name;
+ 
+@@ -94,7 +94,7 @@ typedef struct cdrom_drive{
+   int is_mmc;
+ 
+   /* SCSI command buffer and offset pointers */
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+   unsigned char *sg;
+   unsigned char *sg_buffer;
+   unsigned char inqbytes[4];
Index: audio/cdparanoia/patches/patch-db
===================================================================
RCS file: audio/cdparanoia/patches/patch-db
diff -N audio/cdparanoia/patches/patch-db
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/cdparanoia/patches/patch-db	8 Jul 2005 21:50:15 -0000
@@ -0,0 +1,22 @@
+$NetBSD$
+
+--- interface/common_interface.c.orig	2005-05-31 16:03:00.000000000 +0200
++++ interface/common_interface.c
+@@ -23,7 +23,7 @@ int ioctl_ping_cdrom(int fd){
+   struct cdrom_volctrl volctl;
+   if (ioctl(fd, CDROMVOLREAD, &volctl)) 
+     return(1); /* failure */
+-#elif defined(__FreeBSD__) || defined(__NetBSD__)
++#elif defined(__FreeBSD__) || defined(__NetBSD__) || defined(__DragonFly__)
+   struct ioc_vol volctl;
+   if (ioctl(fd, CDIOCGETVOL, &volctl)) 
+     return(1); /* failure */
+@@ -220,7 +220,7 @@ int FixupTOC(cdrom_drive *d,int tracks){
+   /* For a scsi device, the ioctl must go to the specialized SCSI
+      CDROM device, not the generic device. */
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+   if (d->ioctl_fd != -1) {
+ #ifdef __linux__
+     int result;
Index: audio/cdparanoia/patches/patch-dc
===================================================================
RCS file: audio/cdparanoia/patches/patch-dc
diff -N audio/cdparanoia/patches/patch-dc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/cdparanoia/patches/patch-dc	8 Jul 2005 21:50:15 -0000
@@ -0,0 +1,31 @@
+$NetBSD$
+
+--- interface/cooked_interface.c.orig	2005-05-31 16:02:58.000000000 +0200
++++ interface/cooked_interface.c
+@@ -10,7 +10,7 @@
+ #include "common_interface.h"
+ #include "utils.h"
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ static int cooked_readtoc (cdrom_drive *d){
+   int i;
+   int tracks;
+@@ -179,7 +179,7 @@ static long cooked_read (cdrom_drive *d,
+   errx(1, "cooked_read: not implemented");
+ #endif
+ }
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ static int
+ cooked_readtoc(cdrom_drive *d)
+ {
+@@ -419,7 +419,7 @@ int cooked_init_drive (cdrom_drive *d){
+   default:
+     d->nsectors=40; 
+   }
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+   d->nsectors = 26;	/* FreeBSD only supports 64K I/O transfer size */
+ #endif
+   d->enable_cdda = Dummy;
Index: audio/cdparanoia/patches/patch-dd
===================================================================
RCS file: audio/cdparanoia/patches/patch-dd
diff -N audio/cdparanoia/patches/patch-dd
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/cdparanoia/patches/patch-dd	8 Jul 2005 21:50:15 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- interface/interface.c.orig	2005-05-31 16:02:55.000000000 +0200
++++ interface/interface.c
+@@ -29,7 +29,7 @@ int cdda_close(cdrom_drive *d){
+       d->enable_cdda(d,0);
+ 
+     _clean_messages(d);
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+     if(d->cdda_device_name)free(d->cdda_device_name);
+     if(d->ioctl_device_name)free(d->ioctl_device_name);
+     if(d->drive_model)free(d->drive_model);
Index: audio/cdparanoia/patches/patch-de
===================================================================
RCS file: audio/cdparanoia/patches/patch-de
diff -N audio/cdparanoia/patches/patch-de
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/cdparanoia/patches/patch-de	8 Jul 2005 21:50:15 -0000
@@ -0,0 +1,31 @@
+$NetBSD$
+
+--- interface/low_interface.h.orig	2005-05-31 16:02:53.000000000 +0200
++++ interface/low_interface.h
+@@ -49,7 +49,7 @@
+ #include <linux/cdrom.h>
+ #include <linux/major.h>
+ 
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ 
+ #include <sys/cdio.h>
+ #include <sys/cdrio.h>
+@@ -70,7 +70,7 @@
+ #define MIN_BIG_BUFF_SIZE 4096
+ #ifdef __linux__
+ #define SG_OFF sizeof(struct sg_header)
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ #define SG_OFF (0)
+ #elif defined(__NetBSD__)
+ #define SG_OFF sizeof(scsireq_t)
+@@ -85,7 +85,7 @@
+ #endif
+ 
+ extern int  cooked_init_drive (cdrom_drive *d);
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ extern unsigned char *scsi_inquiry (cdrom_drive *d);
+ #endif
+ extern int  scsi_init_drive (cdrom_drive *d);
Index: audio/cdparanoia/patches/patch-df
===================================================================
RCS file: audio/cdparanoia/patches/patch-df
diff -N audio/cdparanoia/patches/patch-df
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/cdparanoia/patches/patch-df	8 Jul 2005 21:50:15 -0000
@@ -0,0 +1,58 @@
+$NetBSD$
+
+--- interface/scan_devices.c.orig	2005-05-31 16:02:48.000000000 +0200
++++ interface/scan_devices.c
+@@ -51,7 +51,7 @@ static char *cdrom_devices[]={
+   "/dev/cm206cd",
+   "/dev/gscd",
+   "/dev/optcd",NULL};
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ static char *cdrom_devices[] = {
+ 	"/dev/cd?c",
+ 	"/dev/acd?c",
+@@ -62,7 +62,7 @@ static char *cdrom_devices[] = {
+ /* Functions here look for a cdrom drive; full init of a drive type
+    happens in interface.c */
+ 
+-#if defined(__linux__) || defined(__FreeBSD__)
++#if defined(__linux__) || defined(__FreeBSD__) || defined(__DragonFly__)
+ cdrom_drive *cdda_find_a_cdrom(int messagedest,char **messages){
+   /* Brute force... */
+   
+@@ -142,7 +142,7 @@ cdrom_drive *cdda_identify(const char *d
+ #if defined(__linux__) || defined(__NetBSD__)
+   d=cdda_identify_cooked(device,messagedest,messages);
+   if(!d)d=cdda_identify_scsi(device,NULL,messagedest,messages);
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+   d = cdda_identify_scsi(device, NULL, messagedest, messages);
+   if (d == NULL)
+ 	d = cdda_identify_cooked(device, messagedest, messages);
+@@ -305,7 +305,7 @@ cdrom_drive *cdda_identify_cooked(const 
+ #elif defined(__NetBSD__)
+   /* no kernel support for CD-DA */
+   return NULL;
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ 	cdrom_drive *d;
+ 	struct stat st;
+ 
+@@ -354,7 +354,7 @@ cdda_identify_cooked_fail:
+ #endif
+ }
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ struct  sg_id {
+   long    l1; /* target | lun << 8 | channel << 16 | low_ino << 24 */
+   long    l2; /* Unique id */
+@@ -778,7 +778,7 @@ cdda_identify_scsi_fail:
+   if(g_fd!=-1)close(g_fd);
+   return(NULL);
+ }
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ cdrom_drive *cdda_identify_scsi(const char *device,
+     const char *dummy,
+     int messagedest,
Index: audio/cdparanoia/patches/patch-dg
===================================================================
RCS file: audio/cdparanoia/patches/patch-dg
diff -N audio/cdparanoia/patches/patch-dg
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/cdparanoia/patches/patch-dg	8 Jul 2005 21:50:15 -0000
@@ -0,0 +1,103 @@
+$NetBSD$
+
+--- interface/scsi_interface.c.orig	2005-05-31 16:02:45.000000000 +0200
++++ interface/scsi_interface.c
+@@ -23,7 +23,7 @@ static void tweak_SG_buffer(cdrom_drive 
+   int table,reserved;
+   char buffer[256];
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ #ifdef __linux__
+   /* maximum transfer size? */
+   if(ioctl(d->cdda_fd,SG_GET_RESERVED_SIZE,&reserved)){
+@@ -66,7 +66,7 @@ static void tweak_SG_buffer(cdrom_drive 
+     cdmessage(d,"\tCouldn't disable command queue!  Continuing anyway...\n");
+   }
+ #endif
+-#else /* FreeBSD */
++#else /* FreeBSD || DragonFly */
+   d->nsectors = 26;		/* FreeBSD only supports 64K I/O transfer size */
+   d->bigbuff = d->nsectors * CD_FRAMESIZE_RAW;
+   
+@@ -104,7 +104,7 @@ static void reset_scsi(cdrom_drive *d){
+   d->enable_cdda(d,1);
+ }
+ 
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ static void reset_scsi(cdrom_drive *d) {
+ 	d->enable_cdda(d,0);
+ 
+@@ -161,7 +161,7 @@ static void clear_garbage(cdrom_drive *d
+ #endif
+ 
+ /* process a complete scsi command. */
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ static int handle_scsi_cmd(cdrom_drive *d,
+ 			   unsigned int cmd_len, 
+ 			   unsigned int in_size, 
+@@ -400,7 +400,7 @@ static int handle_scsi_cmd(cdrom_drive *
+   return(0);
+ }
+ 
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ static int handle_scsi_cmd(cdrom_drive *d,
+ 			   unsigned int cmd_len, 
+ 			   unsigned int out_size, 
+@@ -1060,7 +1060,7 @@ static long scsi_read_map (cdrom_drive *
+ 		(int)(sg_hd->sense_buffer[2]&0xf),
+ 		(int)(sg_hd->sense_buffer[12]),
+ 		(int)(sg_hd->sense_buffer[13]));
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ 		d->ccb->csio.sense_data.flags & SSD_KEY,
+ 		d->ccb->csio.sense_data.add_sense_code,
+ 		d->ccb->csio.sense_data.add_sense_code_qual);
+@@ -1078,7 +1078,7 @@ static long scsi_read_map (cdrom_drive *
+ 	fputs(b, stderr);
+ 	cdmessage(d,b);
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ 	fprintf(stderr,"scsi_read error: sector=%ld length=%ld retry=%d\n",
+ 		begin,sectors,retry_count);
+ 	fprintf(stderr,"                 Sense key: %x ASC: %x ASCQ: %x\n",
+@@ -1546,7 +1546,7 @@ static void check_fua_bit(cdrom_drive *d
+   return;
+ }
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ static int check_atapi(cdrom_drive *d){
+ #ifdef __linux__
+   int atapiret=-1;
+@@ -1594,7 +1594,7 @@ static int check_atapi(cdrom_drive *d){
+     return(d->is_atapi);
+   }
+ }  
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ static int
+ check_atapi(cdrom_drive *d)
+ {
+@@ -1681,7 +1681,7 @@ static void check_exceptions(cdrom_drive
+   }
+ }
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ /* request vendor brand and model */
+ unsigned char *scsi_inquiry(cdrom_drive *d){
+   memcpy(d->sg_buffer,(char[]){ 0x12,0,0,0,56,0},6);
+@@ -1762,7 +1762,7 @@ int scsi_init_drive(cdrom_drive *d){
+   check_fua_bit(d);
+ 
+   d->error_retry=1;
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+   d->sg=realloc(d->sg,d->nsectors*CD_FRAMESIZE_RAW + SG_OFF + 128);
+   d->sg_buffer=d->sg+SG_OFF;
+ #else
Index: audio/cdparanoia/patches/patch-dh
===================================================================
RCS file: audio/cdparanoia/patches/patch-dh
diff -N audio/cdparanoia/patches/patch-dh
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/cdparanoia/patches/patch-dh	8 Jul 2005 21:50:15 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- interface/utils.h.orig	2005-05-31 16:00:56.000000000 +0200
++++ interface/utils.h
+@@ -10,7 +10,7 @@
+ #include <machine/bswap.h>
+ #endif
+ #include <err.h>	/* XXX */
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ #include <machine/endian.h>
+ #endif
+ #include <stdio.h>
Index: bootstrap/bmake/main.c
===================================================================
RCS file: /cvsroot/pkgsrc/bootstrap/bmake/main.c,v
retrieving revision 1.2
diff -u -r1.2 main.c
--- bootstrap/bmake/main.c	5 Jan 2005 21:54:40 -0000	1.2
+++ bootstrap/bmake/main.c	8 Jul 2005 21:50:16 -0000
@@ -1,4 +1,4 @@
-/*	$NetBSD: main.c,v 1.2 2005/01/05 21:54:40 tv Exp $	*/
+/*	$NetBSD: pkgsrc/bootstrap/bmake/main.c,v 1.2 2005/01/05 21:54:40 tv Exp $	*/
 
 /*
  * Copyright (c) 1988, 1989, 1990, 1993
@@ -39,7 +39,7 @@
  */
 
 #ifdef MAKE_BOOTSTRAP
-static char rcsid[] = "$NetBSD: main.c,v 1.2 2005/01/05 21:54:40 tv Exp $";
+static char rcsid[] = "$NetBSD: pkgsrc/bootstrap/bmake/main.c,v 1.2 2005/01/05 21:54:40 tv Exp $";
 #else
 #include <sys/cdefs.h>
 #ifndef lint
@@ -51,13 +51,13 @@
 #if 0
 static char sccsid[] = "@(#)main.c	8.3 (Berkeley) 3/19/94";
 #else
-__RCSID("$NetBSD: main.c,v 1.2 2005/01/05 21:54:40 tv Exp $");
+__RCSID("$NetBSD: pkgsrc/bootstrap/bmake/main.c,v 1.2 2005/01/05 21:54:40 tv Exp $");
 #endif
 #endif /* not lint */
 #endif
 
 #if !defined(MAKE_BOOTSTRAP) && !defined(lint)
-__IDSTRING(rcs_id,"$Id: main.c,v 1.2 2005/01/05 21:54:40 tv Exp $");
+__IDSTRING(rcs_id,"$Id: main.c,v 1.1.1.1 2004/03/11 13:04:10 grant Exp $");
 #endif
 
 /*-
@@ -199,13 +199,16 @@
 	if (argv[0] == 0)
 		argv[0] = progname;	/* avoid problems in getopt */
 
-	optind = 1;	/* since we're called more than once */
 #ifdef REMOTE
 # define OPTFLAGS "BD:I:J:L:NPST:V:Wd:ef:ij:km:nqrst"
 #else
 # define OPTFLAGS "BD:I:J:NPST:V:Wd:ef:ij:km:nqrst"
 #endif
-rearg:	while((c = getopt(argc, argv, OPTFLAGS)) != -1) {
+rearg:
+	optind = 1;	/* since we're called more than once */
+	optreset = 1;
+
+	while((c = getopt(argc, argv, OPTFLAGS)) != -1) {
 		switch(c) {
 		case 'D':
 			Var_Set(optarg, "1", VAR_GLOBAL, 0);
@@ -405,6 +408,8 @@
 			usage();
 		}
 	}
+	argv += optind;
+	argc -= optind;
 
 	oldVars = TRUE;
 
@@ -413,21 +418,29 @@
 	 * perform them if so. Else take them to be targets and stuff them
 	 * on the end of the "create" list.
 	 */
-	for (argv += optind, argc -= optind; *argv; ++argv, --argc)
+	for (; *argv != NULL; ++argv, --argc) {
 		if (Parse_IsVar(*argv)) {
 			Parse_DoVar(*argv, VAR_CMD);
-		} else {
-			if (!**argv)
-				Punt("illegal (null) argument.");
-			if (**argv == '-') {
-				if ((*argv)[1])
-					optind = 0;     /* -flag... */
-				else
-					optind = 1;     /* - */
+		} else if ((*argv)[0] == '-'){
+			if ((*argv)[1] == '\0') {
+				/*
+				 * (*argv) is a single dash, so we
+				 * just ignore it.
+				 */
+			} else {
+				argc++;
+				argv--;
 				goto rearg;
 			}
+		} else if ((*argv)[0] == '\0') {
+			/* 
+			 * Check against empty strings as argument.
+			 */
+			Punt("illegal (null argument.");
+		} else {
 			(void)Lst_AtEnd(create, (ClientData)estrdup(*argv));
 		}
+	}
 }
 
 /*-
Index: devel/glib/patches/patch-ak
===================================================================
RCS file: devel/glib/patches/patch-ak
diff -N devel/glib/patches/patch-ak
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ devel/glib/patches/patch-ak	8 Jul 2005 21:50:20 -0000
@@ -0,0 +1,14 @@
+$NetBSD$
+
+--- configure.in.orig	2005-06-03 17:15:18.000000000 +0200
++++ configure.in
+@@ -794,6 +794,9 @@ G_THREAD_CFLAGS="$G_THREAD_CFLAGS -D_REE
+             	        G_THREAD_CFLAGS="$G_THREAD_CFLAGS -mthreads"
+ 		fi
+ 		;;
++	*-dragonfly*)
++		G_THREAD_LIBS="-pthread"
++		;;
+ 	*-freebsd2.2*)
+ 		G_THREAD_CFLAGS="$G_THREAD_CFLAGS -D_THREAD_SAFE"
+ 
Index: graphics/MesaLib/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/MesaLib/distinfo,v
retrieving revision 1.29
diff -u -r1.29 distinfo
--- graphics/MesaLib/distinfo	17 Jun 2005 15:54:06 -0000	1.29
+++ graphics/MesaLib/distinfo	8 Jul 2005 21:50:31 -0000
@@ -13,4 +13,4 @@
 SHA1 (patch-ae) = a92133c77b1b958dcfe9b37ddc317d6ff31157d0
 SHA1 (patch-af) = 8f77d0a0e7c63de6bcc44a653767ccd04107c98c
 SHA1 (patch-ag) = 3d05125b389c26b04884775f3f631247faa8a716
-SHA1 (patch-ah) = 8ccfd1734accf9ed3920d42e9208eef5a9d233cf
+SHA1 (patch-ah) = 0c0a4d18531d2bc9ea1be83e89f373be5609f0e7
Index: graphics/MesaLib/patches/patch-ah
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/MesaLib/patches/patch-ah,v
retrieving revision 1.1
diff -u -r1.1 patch-ah
--- graphics/MesaLib/patches/patch-ah	26 Oct 2004 13:55:56 -0000	1.1
+++ graphics/MesaLib/patches/patch-ah	8 Jul 2005 21:50:31 -0000
@@ -2,7 +2,7 @@
 
 --- configs/default.orig	2004-10-25 17:21:49.000000000 +0000
 +++ configs/default
-@@ -14,10 +14,6 @@ MESA_TINY=0
+@@ -14,10 +14,6 @@ MESA_TINY=1
  DRM_SOURCE_PATH=$(TOP)/../drm
  
  # Compiler and flags
@@ -22,3 +22,12 @@
  SRC_DIRS = mesa glu glut/glx glw
  GLU_DIRS = sgi
  DRIVER_DIRS = x11 osmesa
+@@ -60,7 +56,7 @@ PROGRAM_DIRS = demos redbook samples xde
+ 
+ 
+ # Library/program dependencies
+-GL_LIB_DEPS = -lX11 -lXext -lm -lpthread
++GL_LIB_DEPS = -lX11 -lXext -lm ${PTHREAD_LDFLAGS} ${PTHREAD_LIBS}
+ OSMESA_LIB_DEPS = -L$(LIB_DIR) -l$(GL_LIB)
+ GLU_LIB_DEPS = -L$(LIB_DIR) -l$(GL_LIB) -lm
+ GLUT_LIB_DEPS = -L$(LIB_DIR) -l$(GLU_LIB) -l$(GL_LIB) -lX11 -lXmu -lXt -lXi -lm
Index: mail/postfix/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/mail/postfix/distinfo,v
retrieving revision 1.87
diff -u -r1.87 distinfo
--- mail/postfix/distinfo	23 Jun 2005 07:58:48 -0000	1.87
+++ mail/postfix/distinfo	8 Jul 2005 21:50:39 -0000
@@ -1,4 +1,4 @@
-$NetBSD: distinfo,v 1.87 2005/06/23 07:58:48 martti Exp $
+$NetBSD: distinfo,v 1.85 2005/04/04 18:13:32 martti Exp $
 
 SHA1 (postfix/postfix-2.2.4.tar.gz) = b8d990ca26e7e8d6f7fd5a1cf0cf8c939c984bed
 RMD160 (postfix/postfix-2.2.4.tar.gz) = 00757574a0dc7e26ff52449d689853c9d7a338a8
@@ -7,4 +7,4 @@
 SHA1 (patch-ab) = c506a08b694f94ef4884fa97eec51e44c92812dd
 SHA1 (patch-ac) = ffcd4f8b00c1cf01f050a0c943bfe61a1ec2361a
 SHA1 (patch-ag) = dd7851aa16b7458e0cb1975742cf8da4118866b3
-SHA1 (patch-ai) = d24b434fcd8964d1d27e6c0eac93e2d742de98ab
+SHA1 (patch-ai) = d3ea006bafb5e9df869fbb2dec8c7f53b160c8e0
Index: mail/postfix/patches/patch-ai
===================================================================
RCS file: /cvsroot/pkgsrc/mail/postfix/patches/patch-ai,v
retrieving revision 1.13
diff -u -r1.13 patch-ai
--- mail/postfix/patches/patch-ai	22 Mar 2005 18:09:33 -0000	1.13
+++ mail/postfix/patches/patch-ai	8 Jul 2005 21:50:39 -0000
@@ -1,8 +1,17 @@
-$NetBSD: patch-ai,v 1.13 2005/03/22 18:09:33 xtraeme Exp $
+$NetBSD$
 
 --- makedefs.orig	2005-02-22 13:35:52.000000000 +0100
-+++ makedefs	2005-03-21 22:45:02.000000000 +0100
-@@ -124,7 +124,7 @@
++++ makedefs
+@@ -116,6 +116,8 @@ case "$SYSTEM.$RELEASE" in
+ 		;;
+   FreeBSD.5*)	SYSTYPE=FREEBSD5
+ 		;;
++  DragonFly.1*) SYSTYPE=FREEBSD4
++		;;
+   OpenBSD.2*)	SYSTYPE=OPENBSD2
+ 		;;
+   OpenBSD.3*)	SYSTYPE=OPENBSD3
+@@ -124,7 +126,7 @@ case "$SYSTEM.$RELEASE" in
  		;;
     NetBSD.1*)	SYSTYPE=NETBSD1
  		;;
@@ -11,7 +20,7 @@
  		;;
     BSD/OS.2*)	SYSTYPE=BSDI2
  		;;
-@@ -175,13 +175,6 @@
+@@ -175,13 +177,6 @@ case "$SYSTEM.$RELEASE" in
  		esac
  		;;
     ULTRIX.4*)	SYSTYPE=ULTRIX4
@@ -25,7 +34,7 @@
  		for l in syslog resolv; do
  		    if [ -f /usr/local/lib/lib$l.a ]; then
  			SYSLIBS="$SYSLIBS -l$l"
-@@ -213,25 +206,8 @@
+@@ -213,25 +208,8 @@ case "$SYSTEM.$RELEASE" in
  		esac;;
  		# Tested with RedHat 3.03 on 20020729.
      Linux.1*)	SYSTYPE=LINUX1
@@ -51,7 +60,7 @@
  		# GDBM locks the DBM .pag file after open. This breaks postmap.
  		# if [ -f /usr/include/gdbm-ndbm.h ]
  		# then
-@@ -242,7 +218,6 @@
+@@ -242,7 +220,6 @@ case "$SYSTEM.$RELEASE" in
  		#     CCARGS="$CCARGS -DHAS_DBM -DPATH_NDBM_H='<gdbm/ndbm.h>'"
  		#     GDBM_LIBS=gdbm
  		# fi
@@ -59,7 +68,7 @@
  		for name in nsl resolv $GDBM_LIBS
  		do
  		    for lib in /usr/lib64 /lib64 /usr/lib /lib
-@@ -270,25 +245,13 @@
+@@ -270,25 +247,13 @@ case "$SYSTEM.$RELEASE" in
  HP-UX.A.09.*)	SYSTYPE=HPUX9
  		SYSLIBS=-ldbm
  		CCARGS="$CCARGS -DMISSING_USLEEP"
Index: net/rdesktop/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/net/rdesktop/distinfo,v
retrieving revision 1.14
diff -u -r1.14 distinfo
--- net/rdesktop/distinfo	18 May 2005 01:11:44 -0000	1.14
+++ net/rdesktop/distinfo	8 Jul 2005 21:50:58 -0000
@@ -1,6 +1,7 @@
-$NetBSD: distinfo,v 1.14 2005/05/18 01:11:44 xtraeme Exp $
+$NetBSD: pkgsrc/net/rdesktop/distinfo,v 1.14 2005/05/18 01:11:44 xtraeme Exp $
 
 SHA1 (rdesktop-1.4.1.tar.gz) = 412ffa06dc216cc7ce1082a8a4912778f82425d9
 RMD160 (rdesktop-1.4.1.tar.gz) = c49a2425f1e00f5933d3873f6ea742b2ad4fea0c
 Size (rdesktop-1.4.1.tar.gz) = 216017 bytes
 SHA1 (patch-aa) = 1d50c6fee114a10d824d66abbd16acce161ac6b9
+SHA1 (patch-ab) = 1e4ae2f0476fc917607eeb7b6f843a5f73edd334
Index: net/rdesktop/patches/patch-ab
===================================================================
RCS file: net/rdesktop/patches/patch-ab
diff -N net/rdesktop/patches/patch-ab
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ net/rdesktop/patches/patch-ab	8 Jul 2005 21:50:58 -0000
@@ -0,0 +1,14 @@
+$NetBSD$
+
+--- parallel.c.orig	2005-05-31 13:40:20.000000000 +0200
++++ parallel.c
+@@ -14,7 +14,9 @@
+ #include <linux/lp.h>
+ #endif
+ 
++#ifndef errno
+ extern int errno;
++#endif
+ 
+ extern RDPDR_DEVICE g_rdpdr_device[];
+ 
Index: print/scribus/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/print/scribus/distinfo,v
retrieving revision 1.9
diff -u -r1.9 distinfo
--- print/scribus/distinfo	6 Jul 2005 18:05:32 -0000	1.9
+++ print/scribus/distinfo	8 Jul 2005 21:51:02 -0000
@@ -8,3 +8,5 @@
 SHA1 (patch-ad) = 9203829ecfb4d8da4ebf185fcd446f1ecbb044c1
 SHA1 (patch-ae) = 918aa4c9aa0cebc045ea15b5d83115b1b0ad8165
 SHA1 (patch-ag) = dbe050de9796992f01d791af0639895683654f7c
+SHA1 (patch-ai) = e9db252fa660f4f2df80d3affba25f53f769b78a
+SHA1 (patch-aj) = 3707687ad5ea9faa7216433203515ad56492c717
Index: print/scribus/patches/patch-ai
===================================================================
RCS file: print/scribus/patches/patch-ai
diff -N print/scribus/patches/patch-ai
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ print/scribus/patches/patch-ai	8 Jul 2005 21:51:02 -0000
@@ -0,0 +1,15 @@
+$NetBSD$
+
+--- scribus/plugins/gettext/sxwim/sxwunzip.cpp.orig	2005-05-31 17:26:38.000000000 +0200
++++ scribus/plugins/gettext/sxwim/sxwunzip.cpp
+@@ -22,6 +22,10 @@
+ 
+ #ifdef HAVE_XML
+ 
++#ifdef unix
++#include <sys/stat.h>
++#endif
++
+ #include <stdlib.h>
+ #include <string.h>
+ #include <errno.h>
Index: print/scribus/patches/patch-aj
===================================================================
RCS file: print/scribus/patches/patch-aj
diff -N print/scribus/patches/patch-aj
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ print/scribus/patches/patch-aj	8 Jul 2005 21:51:02 -0000
@@ -0,0 +1,15 @@
+$NetBSD$
+
+--- scribus/plugins/fileloader/oodraw/sxwunzip.cpp.orig	2005-05-31 17:26:38.000000000 +0200
++++ scribus/plugins/fileloader/oodraw/sxwunzip.cpp
+@@ -20,6 +20,10 @@
+ 
+ #include "sxwunzip.h"
+ 
++#ifdef unix
++#include <sys/stat.h>
++#endif
++
+ #include <stdlib.h>
+ #include <string.h>
+ #include <errno.h>
Index: security/sudo/PLIST.DragonFly
===================================================================
RCS file: security/sudo/PLIST.DragonFly
diff -N security/sudo/PLIST.DragonFly
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ security/sudo/PLIST.DragonFly	8 Jul 2005 21:51:07 -0000
@@ -0,0 +1,5 @@
+@comment $NetBSD$
+man/man5/sudoers.5
+man/man8/sudo.8
+man/man8/sudoedit.8
+man/man8/visudo.8
Index: security/sudo/patches/patch-af
===================================================================
RCS file: /cvsroot/pkgsrc/security/sudo/patches/patch-af,v
retrieving revision 1.13
diff -u -r1.13 patch-af
--- security/sudo/patches/patch-af	17 Sep 2004 09:25:18 -0000	1.13
+++ security/sudo/patches/patch-af	8 Jul 2005 21:51:07 -0000
@@ -1,8 +1,8 @@
-$NetBSD: patch-af,v 1.13 2004/09/17 09:25:18 cube Exp $
+$NetBSD: pkgsrc/security/sudo/patches/patch-af,v 1.13 2004/09/17 09:25:18 cube Exp $
 
---- configure.in.orig	2004-09-08 17:49:25.000000000 +0200
-+++ configure.in
-@@ -118,7 +118,6 @@ dnl
+--- configure.in.orig	2004-11-25 18:31:20.000000000 +0100
++++ configure.in	2005-05-11 14:23:01.000000000 +0200
+@@ -118,7 +118,6 @@
  test "$mandir" = '${prefix}/man' && mandir='$(prefix)/man'
  test "$bindir" = '${exec_prefix}/bin' && bindir='$(exec_prefix)/bin'
  test "$sbindir" = '${exec_prefix}/sbin' && sbindir='$(exec_prefix)/sbin'
@@ -10,7 +10,7 @@
  
  dnl
  dnl Deprecated --with options (these all warn or generate an error)
-@@ -244,6 +243,19 @@ AC_ARG_WITH(csops, [  --with-csops      
+@@ -244,6 +243,19 @@
  		;;
  esac])
  
@@ -30,7 +30,16 @@
  AC_ARG_WITH(passwd, [  --without-passwd        don't use passwd/shadow file for authentication],
  [case $with_passwd in
      yes)	;;
-@@ -1882,6 +1894,7 @@ if test -n "$with_kerb5" -a -z "$KRB5CON
+@@ -1513,7 +1525,7 @@
+ 		    esac
+ 		fi
+ 		;;
+-    *-*-freebsd*)
++    *-*-freebsd*|*-*-dragonfly*)
+ 		# FreeBSD has a real setreuid(2) starting with 2.1 and
+ 		# backported to 2.0.5.  We just take 2.1 and above...
+ 		case "`echo $host_os | sed 's/^freebsd\([[0-9\.]]*\).*$/\1/'`" in
+@@ -1894,6 +1906,7 @@
  	    AC_MSG_RESULT(yes)
  	    AC_DEFINE(HAVE_HEIMDAL)
  	    SUDO_LIBS="${SUDO_LIBS} -lkrb5 -ldes -lcom_err -lasn1"
